Bug 71577 - new port: audio/p5-Ogg-Vorbis-Header: fetch/manipulate infos in .ogg files
Summary: new port: audio/p5-Ogg-Vorbis-Header: fetch/manipulate infos in .ogg files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-11 02:40 UTC by Simon Barner
Modified: 2004-10-12 12:03 UTC (History)
0 users

See Also:


Attachments
p5-Ogg-Vorbis-Header.shar (2.58 KB, text/plain)
2004-09-11 02:40 UTC, Simon Barner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Barner 2004-09-11 02:40:19 UTC
This perl module allows you to fetch or manipulate header infos in ogg-vorbis
files (similar to audio/p5-MP3-Info)

Example (from the man page), that prints all header entries:

#!/usr/bin/perl -w

use strict;
use Ogg::Vorbis::Header;

my $ogg = Ogg::Vorbis::Header->new("song.ogg");
while (my ($k, $v) = each %{$ogg->info}) {
  print "$k: $v\n";
}

foreach my $com ($ogg->comment_tags) {
  print "$com: $_\n" foreach $ogg->comment($com);
}

How-To-Repeat: 
N/A
Comment 1 Mathieu Arnold freebsd_committer 2004-09-21 10:16:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mat

Take
Comment 2 Mathieu Arnold freebsd_committer 2004-10-12 12:03:17 UTC
State Changed
From-To: open->closed

Port added, thanks !